Skip to content
Permalink
Browse files

Upgrade: Bump raw-loader from 1.0.0 to 2.0.0

Bumps [raw-loader](https://github.com/webpack-contrib/raw-loader)
from 1.0.0 to 2.0.0.
- [Release notes](https://github.com/webpack-contrib/raw-loader/releases)
- [Changelog](https://github.com/webpack-contrib/raw-loader/blob/master/CHANGELOG.md)
- [Commits](webpack-contrib/raw-loader@v1.0.0...v2.0.0)

Signed-off-by: dependabot[bot] <support@dependabot.com>
  • Loading branch information...
dependabot-bot authored and antross committed Mar 18, 2019
1 parent 2d7cf89 commit b5a596a5114ab06aa7408079cd9a30696ec24d58
Showing with 6 additions and 6 deletions.
  1. +1 −1 packages/extension-browser/package.json
  2. +1 −1 packages/hint/src/lib/utils/fs/read-file-async.ts
  3. +4 −4 yarn.lock
@@ -62,7 +62,7 @@
"npm-run-all": "^4.1.5",
"nyc": "^13.3.0",
"puppeteer": "^1.13.0",
"raw-loader": "^1.0.0",
"raw-loader": "^2.0.0",
"rimraf": "^2.6.3",
"sinon": "^7.2.7",
"style-loader": "^0.23.1",
@@ -9,7 +9,7 @@ declare const __webpack_require__: Function; // eslint-disable-line
export default async (filePath: string): Promise<string> => {
if (typeof __webpack_require__ !== 'undefined' && typeof filePath === 'number') { // eslint-disable-line
// Read files from a webpack bundle (must have been bundled using webpack's `raw-loader`).
return __webpack_require__(filePath);
return __webpack_require__(filePath).default;
}

const content: string = await promisify(readFile)(filePath, 'utf8');
@@ -7673,10 +7673,10 @@ raw-body@2.3.3:
iconv-lite "0.4.23"
unpipe "1.0.0"

raw-loader@^1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/raw-loader/-/raw-loader-1.0.0.tgz#3f9889e73dadbda9a424bce79809b4133ad46405"
integrity sha512-Uqy5AqELpytJTRxYT4fhltcKPj0TyaEpzJDcGz7DFJi+pQOOi3GjR/DOdxTkTsF+NzhnldIoG6TORaBlInUuqA==
raw-loader@^2.0.0:
version "2.0.0"
resolved "https://registry.yarnpkg.com/raw-loader/-/raw-loader-2.0.0.tgz#e2813d9e1e3f80d1bbade5ad082e809679e20c26"
integrity sha512-kZnO5MoIyrojfrPWqrhFNLZemIAX8edMOCp++yC5RKxzFB3m92DqKNhKlU6+FvpOhWtvyh3jOaD7J6/9tpdIKg==
dependencies:
loader-utils "^1.1.0"
schema-utils "^1.0.0"

0 comments on commit b5a596a

Please sign in to comment.
You can’t perform that action at this time.